# Overhaul Maps:

### CURRENTLY WIP: still playtesting and gathering feedback (links to where feedback can be given at bottom) 

A set of unique maps that tend to play with gimmicks.

# It is recommended that you reduce the screen shake settings by going to Mods -> Performance Improvements -> Miscellaneous and reducing the screen shake strength value from 100 to ~10. The overhead light shake and chromatic aberrations can also be disabled if desired.

<img src="https://cdn.discordapp.com/attachments/1042927724265754724/1045768042254172220/Performance_-1.gif" alt="How to GIF" width="500"/>

# You can also simply just turn on the ReducePostFX mod.

# Current Maps:
#### Adds 22 maps

(Note: liquids, black boxes, some ropes, and other things do not appear properly on the map images)

### Orbitals

<img src="https://cdn.discordapp.com/attachments/1042927724265754724/1043713489073614938/MapsExtended_39e99c53-b725-4a6b-9026-5c22889345bb.png" alt="Orbitals Map Image" width="500"/>

<img src="https://cdn.discordapp.com/attachments/1042927724265754724/1045782476485828678/Orbitals.gif" alt="Orbitals Map GIF" width="500"/>

A low gravity map with a rotating hazard in the center.

### Serpentine

<img src="https://cdn.discordapp.com/attachments/1042927724265754724/1043713489388191825/MapsExtended_54d3ed94-fb32-4d2f-83dd-566a6a9094eb.png" alt="Serpentine Map Image" width="500"/>

<img src="https://cdn.discordapp.com/attachments/1042927724265754724/1045782478813675530/Serpentine.gif" alt="Serpentine Map GIF" width="500"/>

A snaked-shaped map that periodically moves. Stay on safe ground or jump up to avoid damage when the snake recoils.

### Cyclic

<img src="https://cdn.discordapp.com/attachments/1042927724265754724/1043713490419986442/MapsExtended_686e1ec4-c4e1-4bed-8764-576d0211e5ca.png" alt="Cyclic Map Image" width="500"/>

<img src="https://cdn.discordapp.com/attachments/1042927724265754724/1045772426409164921/Cyclic.gif" alt="Cyclic Map GIF" width="500"/>

A map with a large saw running through the center at set intervals. Get to safety when it arrives.

### Oscillating

<img src="https://cdn.discordapp.com/attachments/1042927724265754724/1043713490109603900/MapsExtended_82f453d6-2818-45f8-b8f9-130d55af7a1d.png" alt="Oscillating Map Image" width="500"/>

<img src="https://cdn.discordapp.com/attachments/1042927724265754724/1045772425624825956/Oscillating.gif" alt="Oscillating Map GIF" width="500"/>

A map with spinning ground and a moving platform at the bottom. The platform can assist you or hurt you if you're not careful. Shoot or shove it to move the platform.

### Balance

<img src="https://cdn.discordapp.com/attachments/1042927724265754724/1043713489698566216/MapsExtended_75de9002-f90b-4a22-a90f-e41a1b3c2af2.png" alt="Balance Map Image" width="500"/>

<img src="https://cdn.discordapp.com/attachments/1042927724265754724/1045782478381654076/Balance.gif" alt="Balance Map GIF" width="500"/>

A map consisting of two scales that sway back and forth. Use your bullets or hold "down" on the platforms to affect their balance.

### Lurch

<img src="https://cdn.discordapp.com/attachments/1042927724265754724/1043713488750657646/MapsExtended_7e14f568-511b-438b-adcc-39e2e552c216.png" alt="Lurch Map Image" width="500"/>

<img src="https://cdn.discordapp.com/attachments/1042927724265754724/1045782477991587840/Lurch.gif" alt="Lurch Map GIF" width="500"/>

A map consisting of a box occasionally rushing across the map back and forth. Stay out of its way.

### Overhaul

<img src="https://cdn.discordapp.com/attachments/1042927724265754724/1044335982423588925/MapsExtended_7c076ec1-109a-43ba-9d93-39e8fdbc06d7.png" alt="Overhaul Map Image" width="500"/>

<img src="https://cdn.discordapp.com/attachments/1042927724265754724/1045782477081423944/Overhaul.gif" alt="Overhaul Map GIF" width="500"/>

A small map similar to the mod's logo.

### Broadside

<img src="https://cdn.discordapp.com/attachments/1042927724265754724/1044335981974782012/MapsExtended_4a7eb245-b31e-49a0-9366-9986295562fd.png" alt="Broadside Map Image" width="500"/>

<img src="https://cdn.discordapp.com/attachments/1042927724265754724/1045782477479878796/Broadside.gif" alt="Broadside Map GIF" width="500"/>

A water map consisting of small boats, cannons, and sea mines. Shoot the cannons and sea mines to wreak havok, or shoot your boat to move it away. Hold "down" on the boat to flip it.

### Probability

<img src="https://cdn.discordapp.com/attachments/1042927724265754724/1044335983191130252/MapsExtended_7709f20f-9c67-4bb1-9a35-361844a9f124.png" alt="Probability Map Image" width="500"/>

<img src="https://cdn.discordapp.com/attachments/1042927724265754724/1045782479354732615/Probability.gif" alt="Probability Map GIF" width="500"/>

A map built like a plinko board. Saws will fall down the map and reappear at the top again.

### Magmatic

<img src="https://cdn.discordapp.com/attachments/1042927724265754724/1044335983467970640/MapsExtended_1175571c-ba68-46e9-8b6d-bf36ebd0c17b.png" alt="Magmatic Map Image" width="500"/>

<img src="https://cdn.discordapp.com/attachments/1042927724265754724/1045772426845356062/Magmatic.gif" alt="Magmatic Map GIF" width="500"/>

A map with a central volcano that constantly spews molten rock. Getting hit will set you on fire.

### Nostalgia 

(GIF currently unavailable)

<img src="https://cdn.discordapp.com/attachments/1042927724265754724/1050572762307104798/MapsExtended_97edcbef-4d3c-4414-88df-4d99b23229d0.png" alt="Magmatic Map Image" width="500"/>

A retro style map that takes place in some sort of construction site with blazing rolling barrels constantly falling and parts of the map on fire. OSHA will not be happy.

### Elementary

(GIF currently unavailable)

<img src="https://cdn.discordapp.com/attachments/1042927724265754724/1050572762881720390/MapsExtended_64d529dc-1075-4ec6-9675-edf2700dc5c0.png" alt="Elementary Map Image" width="500"/>

A relatively simple map with 4 themed sections that each utilize the distinct elements of water, lava, acid, and space.

### Sinkhole

(GIF currently unavailable)

<img src="https://cdn.discordapp.com/attachments/1042927724265754724/1050572762575556709/MapsExtended_c67e04bf-e124-4ba1-be56-699cbe408b85.png" alt="Sinkhole Map Image" width="500"/>

A (new and improved) map that is slowly sinking into the map boundary. Win the round before there's no where left to stand.

### Flip Flop

(GIF currently unavailable)

<img src="https://cdn.discordapp.com/attachments/1042927724265754724/1063956376348524664/MapsExtended_fc147096-e82c-4515-89d4-a47810f6c378.png" alt="Flip Flop Map Image" width="500"/>

A simple map with spinning platforms.

### Wipeout

(GIF currently unavailable)

<img src="https://cdn.discordapp.com/attachments/1042927724265754724/1063956376705044592/MapsExtended_912c2d2f-0374-4286-b13a-3181a702f9fe.png" alt="Wipeout Map Image" width="500"/>

A simple map with shrinking spinning blocks. 

### Galleons

(GIF & Image currently unavailable)

A water map with two barely-held-together ships.

### Trenches

(GIF & Image currently unavailable)

A map in which you must break the terrain to make a path to your opponents.

### Hyper Tubes

(GIF & Image currently unavailable)

A segmented map connected with hyper tubes that quickly transport you.

### Pinball Machine

(GIF & Image currently unavailable)

A map based around a malfuctioning pinball machine that launches balls around the map.

### Recursion

(GIF & Image currently unavailable)

A map with repeating elements. A map with repeating elements. A map with repeating elements.

### Revolution

(GIF & Image currently unavailable)

A map with two ferris-wheel-esque contraptions to play around.

### Enginery

(GIF & Image currently unavailable)

A complex map with moving saws and a platform that can be dropped onto moving blocks in order to cause chaos.

---
## Bug Reports and Suggestions:
If you have found any issues or have any suggestions, please report them in the [ROUNDS Overhaul Discord](https://discord.com/channels/1038199747472797756/1042822464457154613).

I can also be reached at the [ROUNDS Modding Discord](https://discord.gg/rounds-modding). 